using System;
using System.Reflection;
using NUnit.Framework;

namespace Smdn.Net.Imap4.Client {
  [TestFixture]
  public class TraceTests {
    [Test]
    public void Test()
    {
      var trace = typeof(ImapClient).GetTypeInfo().Assembly.GetType("Smdn.Net.Imap4.Client.Trace");

      Assert.AreEqual(true, trace?.GetMethod("IsAvailable")?.Invoke(null, null));
    }

    [Test]
    public void TestTraceSourceName()
    {
      var trace = typeof(ImapClient).GetTypeInfo().Assembly.GetType("Smdn.Net.Imap4.Client.Trace");

      Assert.AreEqual("Smdn.Net.Imap4.Client",
                      trace?.GetMethod("GetTraceSourceName")?.Invoke(null, null));
    }
  }
}
